> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Customer Rules

> Get All Customer Rules



## OpenAPI

````yaml /openapi/openapi_customer.json get /commerce/rules/customer
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CUSTOMER">
                <h2>CUSTOMER</h2>
                <p>The Customer API manages a customer's information, including their billing and shipping address
                    information,
                    contact information, order history, lifetime value, and more. It allows for customers to be grouped into
                    sets
                    to control the specific sites they can access using the same login credentials, as well as supports the
                    B2B
                    commerce feature that includes a hierarchy of customer accounts. For more information about customer management and the Unified Commerce Admin UI, see the <a href="/pages/b2c">general</a> and <a href="/pages/b2b">B2B</a> customers guides.</p>
                <p>Use the <strong>B2B</strong> and <strong>Customer Accounts</strong> resources to manage the components of shopper accounts, including
                    attributes, contact information, company notes, and groups associated with the customer account.</p>
                <p>Use the <strong>Address Validation</strong> resource to validate addresses associated with a customer account contact.</p>
                <p><strong>Customer Attributes</strong> are custom attributes that you can apply to customer accounts to add further
                    definition for special uses, such as marketing campaigns, or discounts. Refer to the <a href="/pages/customer-attributes">Customer
                        Attributes user guide</a> for more information.</p>
                <p>Use the <strong>Customer Credits</strong> resource to manage the store credit associated with a customer account. Store
                    credit can represent a static amount the customer can redeem at any of the tenant's sites, or a gift
                    card registered for a customer account. At this time, gift card functionality is reserved for future
                    use.</p>
                <p>Use the <strong>Customer Segments</strong> resource to manage groups of customers and target discounts for these segments. After a customer segment is defined, you can
                    associate any number of customer accounts with it. Meanwhile, the <strong>Customer Sets</strong> resource controls the specific sites your customers can access using the same
                    login credentials, as well as what My Account storefront customer information is shared between sites.</p>
                <p>Use the <strong>Visits</strong> resource to manage all visits a customer makes to a tenant's sites and measure the level
                    of transactions a customer performs during a unique visit for customer account analytics. Track customer
                    visits by site (including online and in-person interactions), the transactions a customer performs
                    during the visit, and the device type associated with the visit, if any.</p>
                <p>Use the <strong>Customer In-Stock Notification Subscription</strong> resource to manage the subscriptions customer
                    accounts use to send product notifications. This resource can send a notification when a product in a
                    catalog returns to a site's active inventory after it is out of stock, or when a new product becomes
                    available for the first time. (Not supported for bundled products.)</p>
                <p>Use the <strong>Storefront Auth Ticket</strong> resource to generate and refresh authentication tickets for
                    customer accounts.</p>
            </div>
  title: Customer
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/rules/customer:
    get:
      tags:
        - AccountRankingRule
      summary: Get All Customer Rules
      description: Get All Customer Rules
      parameters:
        - description: ''
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: ''
          in: query
          name: pageSize
          schema:
            default: 20
            format: int32
            type: integer
        - description: ''
          in: query
          name: sortBy
          schema:
            default: ''
            type: string
        - description: ''
          in: query
          name: filter
          schema:
            default: ''
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountRankingRuleCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/AccountRankingRuleCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/AccountRankingRuleCollection'
          description: OK
components:
  schemas:
    AccountRankingRuleCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AccountRankingRule'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    AccountRankingRule:
      description: Account ranking rule contract used for rules engine
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        code:
          description: unique code.
          nullable: true
          type: string
        description:
          description: Description for rule
          nullable: true
          type: string
        expression:
          $ref: '#/components/schemas/CustomerCustomerDynamicExpression'
        id:
          description: Unique id
          format: int32
          type: integer
        name:
          description: Rule name
          nullable: true
          type: string
        ruleType:
          description: Scope id
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CustomerCustomerDynamicExpression:
      description: Category
      properties:
        text:
          nullable: true
          type: string
        tree:
          $ref: '#/components/schemas/CustomerExpression'
      type: object
    CustomerExpression:
      properties:
        left:
          description: The field target of a predicate
          nullable: true
          type: string
        logicalOperator:
          description: And or Or (if Container with More than one Node)
          nullable: true
          type: string
        nodes:
          items:
            $ref: '#/components/schemas/CustomerExpression'
          nullable: true
          type: array
        operator:
          description: The operator of a predicate
          nullable: true
          type: string
        right:
          description: The literal values of a predicate
          nullable: true
        type:
          description: Container or Predicate
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````